Subject: bug#21410: closed (Re: bug#21410: Environment containers)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Nov 2015 21:28:03 +0000

Your bug report

#21410: [TEST-FAIL] 2 tests failed when running `make check' on Debian

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21410: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21410
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21410: Environment containers
From: [email-masked] (Ludovic Courtès)
To: Mathieu Lirzin <[email-masked]>
Cc: guix-devel <[email-masked]>, [email-masked], Alex Vong <[email-masked]>
Date: Sat, 21 Nov 2015 22:27:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Mathieu Lirzin <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>>
>>> FAIL: tests/guix-environment-container
>>> ======================================
>>>
>>> + set -e
>>> + guix environment --version
>>> guix environment (GNU Guix) 0.9.0
>>> Copyright (C) 2015 the Guix authors
>>> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
>>> This is free software: you are free to change and redistribute it.
>>> There is NO WARRANTY, to the extent permitted by law.
>>> + tmpdir=t-guix-environment-29930
>>> + trap 'rm -r "$tmpdir"' EXIT
>>> + mkdir t-guix-environment-29930
>>> + guix environment --container --ad-hoc --bootstrap guile-bootstrap -- guile -c '(exit 42)'
>>> guix environment: error: cannot create container: unprivileged user cannot create user namespaces
>>> guix environment: error: please set /proc/sys/kernel/unprivileged_userns_clone to "1"
>>
>> Oh I see, that part fell through the cracks.
>>
>> Could you confirm that the test is skipped with the attached patch?
>
> this test was failing on my system too, and it is skipped successfully
> with this patch.

Thanks, pushed as 6493fd0.

Ludo’.

Subject: [TEST-FAIL] 2 tests failed when running `make check' on Debian
From: Alex Vong <[email-masked]>
To: [email-masked]
Date: Fri, 4 Sep 2015 14:44:40 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi everyone,

I tried to compile Guix on Debian Sid,
the compilation succeeded,
but the 2 of the tests in the Testsuit failed.

The following is what commands I have run,
all commands are run as non-root:

$ git clone git://git.savannah.gnu.org/guix.git
$ cd guix
$ ./bootstrap
$ ./configure
$ make -j4
$ make -j4 check

The Testsuite summary (test-suite.log) is inlined below:

======================================
   GNU Guix 0.8.3: ./test-suite.log
======================================

# TOTAL: 47
# PASS:  45
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: tests/syscalls
====================

;;; note: source file ./srfi/srfi-64.scm
;;;       newer than compiled /usr/lib/x86_64-linux-gnu/guile/2.0/ccache/srfi/srfi-64.go
ERROR: In procedure primitive-load:
ERROR: In procedure scm_i_lreadparen: tests/syscalls.scm:128:14: end of file
%%%% Starting test syscalls  (Writing full log to "syscalls.log")
tests/syscalls.scm:85: FAIL clone
tests/syscalls.scm:98: FAIL setns
;;; note: source file ./srfi/srfi-64.scm
;;;       newer than compiled /usr/lib/x86_64-linux-gnu/guile/2.0/ccache/srfi/srfi-64.go
%%%% Starting test syscalls  (Writing full log to "syscalls.log")
tests/syscalls.scm:85: FAIL clone
tests/syscalls.scm:98: FAIL setns
tests/syscalls.scm:127: FAIL pivot-root
# of expected passes      15
# of unexpected failures  3

FAIL: tests/containers
======================

%%%% Starting test containers  (Writing full log to "containers.log")
tests/containers.scm:37: FAIL call-with-container, user namespace
tests/containers.scm:45: FAIL call-with-container, uts namespace
tests/containers.scm:55: FAIL call-with-container, pid namespace
tests/containers.scm:70: FAIL call-with-container, mnt namespace
tests/containers.scm:77: FAIL call-with-container, all namespaces
tests/containers.scm:83: FAIL container-excursion
# of unexpected failures  6
;;; note: source file ./srfi/srfi-64.scm
;;;       newer than compiled /usr/lib/x86_64-linux-gnu/guile/2.0/ccache/srfi/srfi-64.go
FAIL tests/containers.scm (exit status: 1)